using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace Contacts
{
	/// <summary>
	/// Combo boxes with Postback
	/// </summary>
	public class Sample5_ComboBoxes : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DropDownList ddlLeague;
		protected System.Web.UI.WebControls.DropDownList ddlConference;
		protected System.Web.UI.WebControls.DropDownList ddlDivision;
		protected System.Web.UI.WebControls.DropDownList ddlTeam;
		protected System.Web.UI.WebControls.Label lblTeam;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			if (!Page.IsPostBack)
				LoadControls();
		}

		public void LoadControls()
		{
			DataSet dsLeague = Sport.LoadLeagues();
			//DataSet dsConference = Sport.LoadConferences();
			//DataSet dsDivision = Sport.LoadDivisions();
			//DataSet dsTeam = Sport.LoadTeams();

			Utility.DBHelper.AddBlankRowsToTable(dsLeague.Tables[0]);
			Utility.utility.BindDataSet(dsLeague, ddlLeague,"LeagueName", "LeagueId");
			Utility.utility.SelectComboboxItemByValue(ddlLeague,"");

			ddlConference.Items.Clear();
			ddlDivision.Items.Clear();
			ddlTeam.Items.Clear();
			//Utility.utility.BindDataSet(dsConference, ddlConference,"ConferenceName", "ConferenceId");
			//Utility.utility.BindDataSet(dsDivision, ddlDivision,"DivisionName", "DivisionId");
			//Utility.utility.BindDataSet(dsTeam, ddlTeam,"TeamName", "TeamId");

			dsLeague.Dispose();
			dsLeague = null;
			//dsConference.Dispose();
			//dsConference = null;
			//dsDivision.Dispose();
			//dsDivision = null;
			//dsTeam.Dispose();
			//dsTeam = null;


		}



		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.ddlLeague.SelectedIndexChanged += new System.EventHandler(this.ddlLeague_SelectedIndexChanged);
			this.ddlConference.SelectedIndexChanged += new System.EventHandler(this.ddlConference_SelectedIndexChanged);
			this.ddlDivision.SelectedIndexChanged += new System.EventHandler(this.ddlDivision_SelectedIndexChanged);
			this.ddlTeam.SelectedIndexChanged += new System.EventHandler(this.ddlTeam_SelectedIndexChanged);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void ddlLeague_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			ddlConference.Items.Clear();
			ddlDivision.Items.Clear();
			ddlTeam.Items.Clear();

			DataSet dsConference = Sport.LoadConferenceByLeague(int.Parse(ddlLeague.SelectedValue));
			Utility.DBHelper.AddBlankRowsToTable(dsConference.Tables[0]);
			Utility.utility.BindDataSet(dsConference, ddlConference,"ConferenceName", "ConferenceId");
			Utility.utility.SelectComboboxItemByValue(ddlConference, "");
			dsConference.Dispose();
			dsConference = null;
		}

		private void ddlConference_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			
			ddlDivision.Items.Clear();
			ddlTeam.Items.Clear();

			DataSet dsDivision = Sport.LoadDivisionsByConference(int.Parse(ddlConference.SelectedValue));
			Utility.DBHelper.AddBlankRowsToTable(dsDivision.Tables[0]);
			Utility.utility.BindDataSet(dsDivision, ddlDivision,"DivisionName", "DivisionId");
			Utility.utility.SelectComboboxItemByValue(ddlDivision, "");
			dsDivision.Dispose();
			dsDivision = null;
			
		}

		private void ddlDivision_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			ddlTeam.Items.Clear();

			DataSet dsTeam = Sport.LoadTeamsByDivision(int.Parse(ddlDivision.SelectedValue));
			Utility.DBHelper.AddBlankRowsToTable(dsTeam.Tables[0]);
			Utility.utility.BindDataSet(dsTeam, ddlTeam,"TeamName", "TeamId");
			Utility.utility.SelectComboboxItemByValue(ddlTeam, "");
			dsTeam.Dispose();
			dsTeam = null;		
		}

		private void ddlTeam_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			lblTeam.Text = "Value = " + ddlTeam.SelectedValue.ToString() + " - " + ddlTeam.SelectedItem.Text;
		}
	}
}
